import request from '@/utils/request'

// 查询聊天记录日志列表
export function listFastGptChatMsgLogs(query) {
  return request({
    url: '/fastGpt/fastGptChatMsgLogs/list',
    method: 'get',
    params: query
  })
}

export function getChatMsgLogsList(query) {
  return request({
    url: '/fastGpt/fastGptChatMsgLogs/logsList',
    method: 'get',
    params: query
  })
}
// 查询聊天记录日志详细
export function getFastGptChatMsgLogs(logsId) {
  return request({
    url: '/fastGpt/fastGptChatMsgLogs/' + logsId,
    method: 'get'
  })
}

// 新增聊天记录日志
export function addFastGptChatMsgLogs(data) {
  return request({
    url: '/fastGpt/fastGptChatMsgLogs',
    method: 'post',
    data: data
  })
}

// 修改聊天记录日志
export function updateFastGptChatMsgLogs(data) {
  return request({
    url: '/fastGpt/fastGptChatMsgLogs',
    method: 'put',
    data: data
  })
}

// 删除聊天记录日志
export function delFastGptChatMsgLogs(logsId) {
  return request({
    url: '/fastGpt/fastGptChatMsgLogs/' + logsId,
    method: 'delete'
  })
}

// 导出聊天记录日志
export function exportFastGptChatMsgLogs(query) {
  return request({
    url: '/fastGpt/fastGptChatMsgLogs/export',
    method: 'get',
    params: query
  })
}
